## socketapi 2.2.26

=== freebsd/socketapi/Makefile ===
PORTNAME=	socketapi
DISTVERSION=	2.2.26
CATEGORIES=	net
MASTER_SITES=	https://www.nntb.no/~dreibh/sctplib/download/

MAINTAINER=	thomas.dreibholz@gmail.com
COMMENT=	Socket API library for the SCTPLIB user-space SCTP implementation
WWW=		https://www.nntb.no/~dreibh/sctplib/

LICENSE=	GPLv3+
LICENSE_FILE=	${WRKSRC}/COPYING

LIB_DEPENDS=	libsctplib.so:net/sctplib

USES=		gnome libtool pkgconfig
USE_GNOME=	glib20
USE_LDCONFIG=	yes

GNU_CONFIGURE=	yes
CONFIGURE_ARGS+=	--enable-sctp-over-udp
INSTALL_TARGET=	install-strip

LDFLAGS+=	-L${LOCALBASE}/lib -lsctplib

.include <bsd.port.mk>

=== debian/changelog ===
socketapi (2:2.2.26-1) unstable; urgency=low

  * Closes: #1005916 (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 09 Dec 2025 17:17:15 +0100

=== debian/control ===
Source: socketapi
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
Homepage: https://www.nntb.no/~dreibh/sctplib/index.html
Build-Depends: autoconf,
               automake,
               debhelper-compat (= 13),
               libglib2.0-dev,
               libsctplib-dev (>= 1.0.9),
               libtool
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: libsctpsocket2
Section: libs
Architecture: any
Depends: libsctplib1 (>= 1.0.9),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libsocketapi2
Conflicts: libsocketapi2
Description: Socket API library for sctplib
 Socket-API provides a socket API for the SCTP user-space implementation
 SCTPLIB, conforming to RFC 6458.
 .
 This implementation is the product of a cooperation between Siemens AG (ICN),
 Munich, Germany and the Computer Networking Technology Group at the IEM of
 the University of Essen, Germany.

Package: libsctpsocket-dev
Section: libdevel
Architecture: any
Depends: libsctpsocket2 (= ${binary:Version}),
         ${misc:Depends}
Replaces: libsocketapi-dev
Conflicts: libsocketapi-dev
Description: Development package for Socket-API
 This package contains development files for Socket-API.
 .
 Socket-API provides a socket API for the SCTP user-space implementation
 SCTPLIB, conforming to RFC 6458.
 .
 This implementation is the product of a cooperation between Siemens AG (ICN),
 Munich, Germany and the Computer Networking Technology Group at the IEM of
 the University of Essen, Germany.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-sctp-over-udp --disable-maintainer-mode

override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

override_dh_install:
	dh_install
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.nntb.no/~dreibh/sctplib/  download/socketapi-(.*)\.tar\.gz
